Subject: Re: Request for merging "gnome-team" branch

From: aurtzy <[email-masked]>
Date: Fri, 28 Feb 2025 20:26:59 -0500

Yes, I can confirm that the issue exists GNOME 46, with system generation 
currently based on commit 9f563c42adcaf68d301340d0adb47563bfc60a87.

I didn't find any GNOME apps that output errors about this, but starting the 
KeepassXC flatpak (which is also affected by the theming issue) shows this message:

```
(keepassxc:2): Gdk-WARNING **: 20:09:18.966: Failed to read portal settings: 
GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface 
“org.freedesktop.portal.Settings” on object at path /org/freedesktop/portal/desktop
```

which is not present on a reconfigure with the mentioned patch applied.

On 2/28/25 15:00, Liliana Marie Prikler wrote:
> Am Dienstag, dem 25.02.2025 um 01:01 -0500 schrieb aurtzy:
>> Hi!
>>
>> This branch bumps xdg-desktop-portal, which introduces an issue with
>> theming no longer applying (related [1]). There's an open patch [2]
>> that fixes it for me, although there still appears to be open
>> questions on how it should be resolved; is this worth blocking for?
>>
>> [1] <https://issues.guix.gnu.org/73403#2>
>> [2] <https://issues.guix.gnu.org/73520>
> Could you check whether this still issue persists with GNOME 46?  IIUC,
> newer GNOME should expose all the DBus methods that make theming work
> as expected.
> 
> Cheers